Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Interface LinkRefPairServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  LinkRefPairService

public interface LinkRefPairServiceMBean
extends org.jboss.system.ServiceMBean

The management interface for the link ref pair service.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock (adrian@jboss.com)

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getJndiName()` The jndi name where the link ref pair is bound
`String` | `getLocalJndiName()` The jndi name of the local binding
`String` | `getRemoteJndiName()` The jndi name of the remote binding
`void` | `setJndiName(String jndiName)` Set the jndi name where the link ref pair is bound
`void` | `setLocalJndiName(String jndiName)` Set the jndi name of the local binding
`void` | `setRemoteJndiName(String jndiName)` Set the jndi name of the remote binding

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getJndiName

    public String getJndiName()

  The jndi name where the link ref pair is bound

  Returns:
    the jndi name

### setJndiName

    public void setJndiName(String jndiName)

  Set the jndi name where the link ref pair is bound

  Parameters:
    `jndiName` - the jndi name

### getRemoteJndiName

    public String getRemoteJndiName()

  The jndi name of the remote binding

  Returns:
    the jndi name

### setRemoteJndiName

    public void setRemoteJndiName(String jndiName)

  Set the jndi name of the remote binding

  Parameters:
    `jndiName` - the jndi name

### getLocalJndiName

    public String getLocalJndiName()

  The jndi name of the local binding

  Returns:
    the jndi name

### setLocalJndiName

    public void setLocalJndiName(String jndiName)

  Set the jndi name of the local binding

  Parameters:
    `jndiName` - the jndi name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.